<?php
/**
 * Fax-API QuickStart Bootstrap
 * Teamnet GmbH (http://www.teamnet.de)
 */

define( 'PHP_VERSION_MIN', '5.1.6' );

/* ================================================================= */

// 1und1 Workaround
// Versuche .htaccess anzulegen (wenn noch nicht vorhanden) welche
// .php Dateien mit PHP5 ausführen lässt

if (isset($_GET['workaround']) ||
		(php_uname('s') === php_uname('m') &&
		php_uname('m') == 'Linux infong 2.4 #1 SMP Thu Nov 25 01:59:22 UTC 2010 i686 GNU/Linux' &&
		version_compare(PHP_VERSION, '4.4.9', '=') &&
		!file_exists('.htaccess') &&
		is_writeable('.'))
	)
{
	$h = fopen('.htaccess', 'w');
	if ($h) {
		fwrite($h, 'AddType x-mapp-php5 .php .php5');
		fclose($h);

		header('Location: '.$_SERVER['SCRIPT_NAME']);
		exit();
	}
}


if (version_compare(PHP_VERSION, PHP_VERSION_MIN, '<')) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">
<head>
	<title>Fax-API QuickStart</title>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta http-equiv="content-language" content="de" />
	<meta name="copyright" content="Teamnet GmbH" />
	<link href="quickstart/css/quickstart.css" rel="stylesheet" type="text/css" />
	<!--[if IE 6]>
    	<style type="text/css">@import url(quickstart/css/ie6.css);</style>
	<![endif]-->
	<!--[if IE 7]>
    	<style type="text/css">@import url(quickstart/css/ie7.css);</style>
	<![endif]-->
</head>
<body>
	<div id="main" class="rounded">
		<h2>Fax-API QuickStart <span id="releaseinfo">v1.0-1143</span></h2>
		<div id="navseperator"></div>

		<div id="waitmessage">
			<table>
			<tr><td>
			<img src="quickstart/images/icn_fatal.gif" alt="achtung" width="48" height="48" />
			</td><td style="vertical-align: middle;">
			Um die FaxAPI sowie QuickStart nutzen zu können, wird PHP in mindestens der <strong>Version <?php echo PHP_VERSION_MIN ?></strong> benötigt.
			Auf diesem Server ist lediglich <strong>Version <?php echo PHP_VERSION ?></strong> installiert.<br/>
			<br/><br/><br/>

			<small>Sollten Sie Kunde bei 1und1 sein, könnte ein Klick <a href="index.php?workaround">hier</a>
			dieses Problem eventuell lösen.</small>

			<br/><br/>
			</td></tr></table>
		</div>

		<div id="footer">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td><p>&copy; Teamnet GmbH</p></td>
					<td><p>Technologiepark 20<br />33100 Paderborn</p></td>
					<td><p>Telefon: 0 52 51 / 87 92 93 - 0<br />Telefax: 0 52 51 / 87 92 93 - 99</p></td>
					<td class="right"><p>E-Mail: <a href="mailto:vertrieb@faxverteiler.com">vertrieb@faxverteiler.com</a>
						<br />Webseite: <a href="http://www.faxverteiler.de" target="_blank">www.faxverteiler.com</a></p>
					</td>
				</tr>
			</table>
		</div>
	</div>
</body>
</html>
<?php
exit();
}

header("Location: quickstart/index.php");
exit();